Package org.apache.log4j.helpers

## Class MessageFormatter

- java.lang.Object
- - org.apache.log4j.helpers.MessageFormatter

-     public final class MessageFormatter
      extends Object

  Formats messages according to very simple rules. See `format(String, Object)` and `format(String, Object, Object)` for more details.
  Author:
    Ceki Gülcü

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static String` | `format​(String messagePattern, Object argument)` | Performs single argument substitution for the 'messagePattern' passed as parameter.
    `static String` | `format​(String messagePattern, Object arg1, Object arg2)` | /** Performs a two argument substitution for the 'messagePattern' passed as parameter.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### format

          public static String format​(String messagePattern,
                                      Object argument)

      Performs single argument substitution for the 'messagePattern' passed as parameter.

      For example, `MessageFormatter.format("Hi {}.", "there");` will return the string "Hi there.".

      The {} pair is called the formatting element. It serves to designate the location where the argument needs to be inserted within the pattern.
      Parameters:
        `messagePattern` - The message pattern which will be parsed and formatted
        `argument` - The argument to be inserted instead of the formatting element
      Returns:
        The formatted message

    - #### format

          public static String format​(String messagePattern,
                                      Object arg1,
                                      Object arg2)

      /** Performs a two argument substitution for the 'messagePattern' passed as parameter.

      For example, `MessageFormatter.format("Hi {}. My name is {}.", "there", "David");` will return the string "Hi there. My name is David.".

      The '{}' pair is called a formatting element. It serves to designate the location where the arguments need to be inserted within the message pattern.
      Parameters:
        `messagePattern` - The message pattern which will be parsed and formatted
        `arg1` - The first argument to replace the first formatting element
        `arg2` - The second argument to replace the second formatting element
      Returns:
        The formatted message